%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  assessor
%global packver   1.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Assessment Tools for Regression Models with Discrete and Semicontinuous Outcomes

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildArch:        noarch
BuildRequires:    R-CRAN-tweedie 
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-CRAN-VGAM 
BuildRequires:    R-CRAN-np 
Requires:         R-CRAN-tweedie 
Requires:         R-CRAN-MASS 
Requires:         R-CRAN-VGAM 
Requires:         R-CRAN-np 

%description
Provides assessment tools for regression models with discrete and
semicontinuous outcomes proposed in Yang (2023)
<doi:10.48550/arXiv.2308.15596>. It calculates the double probability
integral transform (DPIT) residuals, constructs QQ plots of residuals and
the ordered curve for assessing mean structures.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
